<?php
#==============================================================================================#
#                                   Name  :  Imperial CHAT                                     #
#                               Made by  :  MaZaFaKa (___хакер___)                             #
#                                  MODED :  vipsds  (   BOT  )                                 #
#                                  ICQ  :  350502220 (vipsds)                                  #
#                                E-mai :  vipsds@wapnn.org                                     #
# По всем вопросам и дополнительным модам обращайтесь на выше указанные данные                 #
#==============================================================================================#

error_reporting(0);
include('start.php');
include("config.php");
include("./includes/".$ver."/banned");
$ttl = "Объявления";
list($msec, $sec) = explode(chr(32), microtime());
$headtime = $sec + $msec;

$nocache = rand(10000, 99999);


$file = file("system/cena.dat");

$cenaobv = trim($file[4]);


switch($ver)
{
////////////////////////////////////////////////////////
//WML VERSION
////////////////////////////////////////////////////////
case 'wml':
header("Content-type: text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-relative");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `monety` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"ERROR\" ontimer=\"index.php?ver=wml\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>Ошибка авторизации!<br/>\n";
echo"<br/>$wmlfoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] sec<br/>\n";
echo "</small></p></card></wml>";
exit();
}
//END AUTH

$monety = mysql_result($q, 0);

if($monety <$cenaobv)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"Денег Мало\" ontimer=\"menu.php?ver=wml&amp;".SID."\"><timer value=\"15\"/><p align=\"left\">\n";
echo "У вас недостаточно монет!Чтобы получить монеты сходите в <a href=\"/obmen.php?".SID."&amp;ver=html\">банк</a> нашего чата,там вы сможете обменять ваши посты на монеты.<br/><br/>\n";
echo "Монет: <b>".$monety."</b><br/>";
echo"<br/>$wmlfoot";
echo "</p></card></wml>";
exit();
}

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"Объявления\"><p align=\"left\">\n";

if(isset($_GET['mod']))
{
$mod = $_GET['mod'];
}
else
{
$mod = "";
}

switch($mod)
{


case 'addob':
if(!isset($_POST['action']))
{
echo "Заголовок:<br/>\n";
echo "<input name=\"title$nocache\" maxlength=\"20\" value=\"\" title=\"title\"/><br/>\n";
echo "Текст:<br/>\n";
echo "<input name=\"text$nocache\" maxlength=\"300\" value=\"\" title=\"text\"/><br/>\n";
echo "Транслитировать:<br/>\n";
echo "<select multiple=\"true\" name=\"translit$nocache\">\n";
echo "<option value=\"title\">Заголовок</option>\n";
echo "<option value=\"text\">Текст</option></select><br/>\n";
echo "<anchor>[Добавить]<go href=\"lichob.php?nocache=$nocache&amp;ver=wml&amp;".SID."&amp;mod=addob\" method=\"post\">\n";
echo "<postfield name=\"title\" value=\"$(title$nocache)\"/>\n";
echo "<postfield name=\"text\" value=\"$(text$nocache)\"/>\n";
echo "<postfield name=\"translit\" value=\"$(translit$nocache)\"/>\n";
echo "<postfield name=\"action\" value=\"add\"/>\n";
echo "</go></anchor><br/>\n";
}
else
{
$lat = array("J", "j", "Zh", "zh", "Ch", "ch", "Ye", "ye", "Yu", "yu", "Ya", "ya", "Shc", "shc", "Sh", "sh", "Yo", "yo", "Q", "q", "'", "A", "a", "B", "b", "C", "c", "D", "d", "E", "e", "F", "f", "G", "g", "H", "h", "I", "i", "K", "k", "L", "l", "M", "m", "N", "n", "O", "o", "P", "p", "R", "r", "S", "s", "T", "t", "U", "u", "V", "v", "X", "x", "Z", "z");
$rus = array("Й", "й", "Ж", "ж", "Ч", "ч", "Э", "э", "Ю", "ю", "Я", "я", "Щ", "щ", "Ш", "ш", "Ё", "ё", "Ь", "ь", "ъ", "А", "а", "Б", "б", "Ц", "ц", "Д", "д", "Е", "е", "Ф", "ф", "Г", "г", "Х", "х", "И", "и", "К", "к", "Л", "л", "М", "м", "Н", "н", "О", "о", "П", "п", "Р", "р", "С", "с", "Т", "т", "У", "у", "В", "в", "Х", "х", "З", "з");
$title = htmlspecialchars(mysql_escape_string(trim($_POST['title'])));
$title = str_replace('$', '$$', $title);
$text = htmlspecialchars(mysql_escape_string(trim($_POST['text'])));
$text = str_replace('$', '$$', $text);
$translit = $_POST['translit'];

if(substr_count($translit, "title") != 0)
{
$title = str_replace($lat, $rus, $title);
}

if(substr_count($translit, "text") != 0)
{
$text = str_replace($lat, $rus, $text);
}

if(empty($title))
{
echo "Вы не ввели заголовок Объявления!<br/>\n";
break;
}

if(empty($text))
{
echo "Вы не ввели текст объявления!<br/>\n";
break;
}

$q = mysql_query("SELECT `nickname` FROM `chat_users` WHERE `name` = '".$title."' AND `text` = '".$text."';");
$nickname = mysql_result($q, 0);

if(mysql_affected_rows($q) != 0)
{
echo "Объявление уже было добавлено.<br/>\n";
break;
}

$q = mysql_query("SELECT `nickname` FROM `chat_users` WHERE `id` = '".$id."';");
$nickname = mysql_result($q, 0);
$date = date("d-m-Y");
$ostatok= $monety-$cenaobv;
$sql = mysql_query("INSERT INTO `chat_obyav` VALUES(0, '".$title."', '".$nickname."', '".$text."', '".$date."', ".time().");");
@mysql_query("update `chat_users` set monety='".$ostatok."' where id='$id'");



$msgx="<b>".$nickname."</b> Добавил[а] Объявление с  названием <b>".$title."</b>!";

  $qx = mysql_query("SELECT `id` FROM `chat_rooms` WHERE `type` != 1;");

while($room_id = mysql_fetch_array($qx)){

	mysql_query("INSERT INTO `chat".$room_id['id']."` VALUES(0, '5', '".$bots[3]."', '".$msgx."', '0', '".date("H:i")."',".time().",0);");

}




if($sql)
{
echo "Объявление успешно добавлено!<br/>\n";
}
else
{
echo "Объявление не добавлено, произошла ошибка!<br/>\n";
echo mysql_error()."<br/>\n";
}
}
break;


default:

echo "Это <b>личный отдел</b> нашего <b>магазина</b>,здесь Вы можете Добавить Объявление.Добавление Объявления стоит <b>$cenaobv</b> монет!<br/>";
echo "У Вас монет: <b>".$monety."</b><br/>";


echo "<a href=\"lichob.php?".SID."&amp;ver=wml&amp;mod=addob&amp;nocache=$nocache\">Добавить Объявление</a><br/>\n";

break;
}

if(!empty($mod)) echo "<a href=\"lichob.php?".SID."&amp;ver=wml\">Добавить Объявление</a><br/>\n";
echo "• <a href=\"menu.php?".SID."&amp;ver=wml\">В прихожую</a><br/>\n";
echo"<br/>$wmlfoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] sec<br/>\n";
echo "</p></card></wml>";
break;

////////////////////////////////////////////////////////
//HTML VERSION
////////////////////////////////////////////////////////
case 'html':
header ("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-relative");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `monety` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Ошибка авторизации!</div>\n";
echo'<div class="d3">';
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] sec<br/>\n";
echo'</div>';
echo "</body></html>";
exit();
}
//END AUTH





$monety = mysql_result($q, 0);

if($monety < $cenaobv)
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">'.$ttl.'</div>';
echo "У вас недостаточно монет!Чтобы получить монеты сходите в <a href=\"/obmen.php?".SID."&amp;ver=html\">банк</a> нашего чата,там вы сможете обменять ваши посты на монеты.<br/>\n";
echo "Монет: <b>".$monety."</b><br/>";

echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
exit();
}



//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0 WHERE `id` = '".$id."';");
//END ONLINE

echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">'.$ttl.'</div>';

$level = mysql_result($q, 0);




if(isset($_GET['mod']))
{
$mod = $_GET['mod'];
}
else
{
$mod = "";
}

if(isset($_GET['handler']))
{
$action = intval($_POST['mod']);

	switch($action)
	{
	case 0:
	$mod = "edit";
	break;

	case 1:
	$mod = "kick";
	break;

	case 2:
	$mod = "ban";
	break;

	case 3:
	$mod = "ipua";
	break;
	}
}

switch($mod)
{

case 'addob':
if(!isset($_POST['action']))
{
echo "<div class=\"form\">\n";
echo "<form method=\"post\" action=\"lichob.php?nocache=$nocache&amp;ver=html&amp;".SID."&amp;mod=addob\">\n";
echo "Заголовок:<br/>\n";
echo "<input name=\"title\" maxlength=\"20\" value=\"\" title=\"title\"/><br/>\n";
echo "Транслитировать: <input type=\"checkbox\" name=\"tt\" value=\"true\"/><br/>\n";
echo "Текст:<br/>\n";
echo "<input name=\"text\" maxlength=\"300\" value=\"\" title=\"text\"/><br/>\n";
echo "Транслитировать: <input type=\"checkbox\" name=\"ta\" value=\"true\"/><br/>\n";
echo "<input type=\"hidden\" name=\"action\" value=\"add\"/>";
echo "<input type=\"submit\" value=\"Добавить\"/></form></div><br/>\n";
}
else
{
$lat = array("J", "j", "Zh", "zh", "Ch", "ch", "Ye", "ye", "Yu", "yu", "Ya", "ya", "Shc", "shc", "Sh", "sh", "Yo", "yo", "Q", "q", "'", "A", "a", "B", "b", "C", "c", "D", "d", "E", "e", "F", "f", "G", "g", "H", "h", "I", "i", "K", "k", "L", "l", "M", "m", "N", "n", "O", "o", "P", "p", "R", "r", "S", "s", "T", "t", "U", "u", "V", "v", "X", "x", "Z", "z");
$rus = array("Й", "й", "Ж", "ж", "Ч", "ч", "Э", "э", "Ю", "ю", "Я", "я", "Щ", "щ", "Ш", "ш", "Ё", "ё", "Ь", "ь", "ъ", "А", "а", "Б", "б", "Ц", "ц", "Д", "д", "Е", "е", "Ф", "ф", "Г", "г", "Х", "х", "И", "и", "К", "к", "Л", "л", "М", "м", "Н", "н", "О", "о", "П", "п", "Р", "р", "С", "с", "Т", "т", "У", "у", "В", "в", "Х", "х", "З", "з");
$title = htmlspecialchars(mysql_escape_string(trim($_POST['title'])));
$title = str_replace('$', '$$', $title);
$text = htmlspecialchars(mysql_escape_string(trim($_POST['text'])));
$text = str_replace('$', '$$', $text);
$tt = $_POST['tt'];
$ta = $_POST['ta'];

if($tt == "true")
{
$title = str_replace($lat, $rus, $title);
}

if($ta == "true")
{
$text = str_replace($lat, $rus, $text);
}

if(empty($title))
{
echo "Вы не ввели заголовок Объявления!<br/>\n";
break;
}

if(empty($text))
{
echo "Вы не ввели текст Объявления!<br/>\n";
break;
}

$q = mysql_query("SELECT `nickname` FROM `chat_users` WHERE `name` = '".$title."' AND `text` = '".$text."';");
$nickname = mysql_result($q, 0);

if(mysql_affected_rows($q) != 0)
{
echo "Объявление уже было добавлено.<br/>\n";
break;
}

$q = mysql_query("SELECT `nickname` FROM `chat_users` WHERE `id` = '".$id."';");
$nickname = mysql_result($q, 0);
$date = date("d-m-Y");

$ostatok= $monety-$cenaobv;
$sql = mysql_query("INSERT INTO `chat_obyav` VALUES(0, '".$title."', '".$nickname."', '".$text."', '".$date."', ".time().");");
@mysql_query("update `chat_users` set monety='".$ostatok."' where id='$id'");


$msgx="<b>".$nickname."</b> Добавил[а] Объявление с  названием <b>".$title."</b>!";

  $qx = mysql_query("SELECT `id` FROM `chat_rooms` WHERE `type` != 1;");

while($room_id = mysql_fetch_array($qx)){

	mysql_query("INSERT INTO `chat".$room_id['id']."` VALUES(0, '5', '".$bots[3]."', '".$msgx."', '0', '".date("H:i")."',".time().",0);");

}


if($sql)
{
echo "Объявление успешно добавлено!<br/>\n";
}
else
{
echo "Объявление не добавлено, произошла ошибка!<br/>\n";
echo mysql_error()."<br/>\n";
}
}
break;



default:

 echo "Это <b>личный отдел</b> нашего <b>магазина</b>,здесь Вы можете Добавить Объявление.Добавление Объявления стоит <b>$cenaobv</b> монет!<br/>";
echo "У Вас монет: <b>".$monety."</b><br/>";

echo "<a href=\"lichob.php?".SID."&amp;ver=html&amp;mod=addob\">Добавить Объявление</a><br/>\n";

}
if(!empty($mod)) echo "<div class=\"d1\">• <a href=\"/lichob.php?".SID."&amp;ver=html\">Добавление Объявления</a></div>\n";
echo "<div class=\"d1\">• <a href=\"/menu/html\">В прихожую</a></div>";
echo'<div class="d3">';
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] sec<br/>\n";
echo'</div>';
echo "</body></html>";
break;
}
?>